<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>LibraryMgr: gui/Gui/Gui.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_small.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">LibraryMgr
   &#160;<span id="projectnumber">0.4</span>
   </div>
   <div id="projectbrief">Library manager desktop app</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_gui_8h_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">Gui.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="preprocessor">#ifndef LIBRARYMGR_GUI_H</span></div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">#define LIBRARYMGR_GUI_H</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="preprocessor">#include &lt;QtWidgets/QMainWindow&gt;</span></div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="preprocessor">#include &quot;../dialogs/AdminDialog/AdminDialog.h&quot;</span></div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="preprocessor">#include &quot;../dialogs/UserDialog/UserDialog.h&quot;</span></div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="preprocessor">#include &quot;../dialogs/LoginDialog/LoginDialog.h&quot;</span></div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;</div><div class="line"><a name="l00031"></a><span class="lineno"><a class="line" href="class_gui.html">   31</a></span>&#160;<span class="keyword">class </span><a class="code" href="class_gui.html">Gui</a> : <span class="keyword">public</span> QObject {</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;Q_OBJECT</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;    <span class="keyword">explicit</span> <a class="code" href="class_gui.html#ab2655dbb6d3a91d7e90cb83dad6c0450">Gui</a>();</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;</div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;    <a class="code" href="class_gui.html#a4fd8485d226f9b8a2ac2d81d7f0f3598">~Gui</a>();</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_gui.html#af4038252aa6f60569f70f5264f93be1d">open</a>();</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;<span class="keyword">public</span> slots:</div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;    <span class="comment">// user</span></div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;</div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_gui.html#ab7f4632d5033a2250398bed08a4af158">getCurrentUserAdminStatus</a>(<span class="keywordtype">bool</span> isCurrentUserAnAdmin);</div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;</div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;    <span class="comment">// login</span></div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;</div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_gui.html#ae18107b33f585c3025c25f16bc2d5d67">getSignInProcessIsComplete</a>();</div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;signals:</div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;    <span class="comment">// login</span></div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_gui.html#a5fb313e391a25bc4e9798ee9b56d1718">sendSignInRequest</a>(QString username, QString password);</div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;</div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_gui.html#ace1c44fdff26b57dc365e51bf0bbe011">sendSignInRequestResult</a>(<span class="keywordtype">bool</span> signInOk);</div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;</div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_gui.html#a59d88601c127c3d1de862f8f34c95528">sendSignUpRequest</a>(<a class="code" href="class_user.html">User</a> user, QString password);</div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;</div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_gui.html#adc811573f8605cce30f325d2e9d11db2">sendSignUpRequestResult</a>(<span class="keywordtype">bool</span> signUpOk);</div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;</div><div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;    <span class="comment">// user dialog</span></div><div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;    <span class="comment">// requests</span></div><div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;</div><div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_gui.html#acf39ba69c97ed11586b9e8a4e8a44d50">sendDetailsAboutBookRequest</a>(QString isbn);</div><div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;</div><div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_gui.html#ab8de6758ae82e6f6f8aae66d4811c857">sendSearchBookRequest</a>(QString <span class="keywordtype">id</span>, QString title);</div><div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;</div><div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_gui.html#a8eafc6845da61bfddf908299bf310d49">sendWishlistRequest</a>();</div><div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;</div><div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_gui.html#ab140d1a5aae021f01032a516bb2e94fc">sendLoansRequest</a>();</div><div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;</div><div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_gui.html#a55c7f71e765c57c27b2cab34aafba99a">sendAddBookToWishlistRequest</a>(<a class="code" href="class_book.html">Book</a> book);</div><div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;</div><div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_gui.html#a741d7be4ff8d9532683209853fb46e37">sendRemoveBookFromWishlistRequest</a>(<a class="code" href="class_book.html">Book</a> book);</div><div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;</div><div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_gui.html#a2ffa089e57ee1571da42db95c3ba3de6">sendReserveBookRequest</a>(<a class="code" href="class_book.html">Book</a> book);</div><div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;</div><div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_gui.html#ac6f69a62bc303884e36d0be38a5f85b9">sendReturnBookRequest</a>(<a class="code" href="class_book.html">Book</a> book);</div><div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;</div><div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_gui.html#a343ff061fde597753a3296ea5ae31a3b">sendCurrentUserRequest</a>();</div><div class="line"><a name="l00150"></a><span class="lineno">  150</span>&#160;</div><div class="line"><a name="l00155"></a><span class="lineno">  155</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_gui.html#a72dfa49e20658233f69bd6c52dedab9d">sendUserRequest</a>(QString username);</div><div class="line"><a name="l00156"></a><span class="lineno">  156</span>&#160;</div><div class="line"><a name="l00163"></a><span class="lineno">  163</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_gui.html#a96e318612a7551ba9222b712b78ac947">sendEditUserRequest</a>(<a class="code" href="class_user.html">User</a> user, <span class="keywordtype">bool</span> isAdmin, QString password);</div><div class="line"><a name="l00164"></a><span class="lineno">  164</span>&#160;</div><div class="line"><a name="l00169"></a><span class="lineno">  169</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_gui.html#a734889d391e6e11bf4d271a196ba572c">sendImportWishlistFromFileRequest</a>(QString pathToFileToImport);</div><div class="line"><a name="l00170"></a><span class="lineno">  170</span>&#160;</div><div class="line"><a name="l00175"></a><span class="lineno">  175</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_gui.html#a6bdbe03a8e1f862b09037dc24ebf506c">sendExportWishlistFromFileRequest</a>(QString pathToFileToExport);</div><div class="line"><a name="l00176"></a><span class="lineno">  176</span>&#160;</div><div class="line"><a name="l00177"></a><span class="lineno">  177</span>&#160;    <span class="comment">// results</span></div><div class="line"><a name="l00178"></a><span class="lineno">  178</span>&#160;</div><div class="line"><a name="l00185"></a><span class="lineno">  185</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_gui.html#a8af4fb92ae4ee963a09d8f6fe56dbd26">sendDetailsAboutBookRequestResult</a>(<a class="code" href="class_book.html">Book</a> book, <span class="keywordtype">bool</span> isReservedByUser, <span class="keywordtype">bool</span> isInUserWishlist);</div><div class="line"><a name="l00186"></a><span class="lineno">  186</span>&#160;</div><div class="line"><a name="l00191"></a><span class="lineno">  191</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_gui.html#ab254231f189c6a872dc24250dbbd6c65">sendSearchBookRequestResult</a>(std::vector&lt;Book&gt; books);</div><div class="line"><a name="l00192"></a><span class="lineno">  192</span>&#160;</div><div class="line"><a name="l00196"></a><span class="lineno">  196</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_gui.html#aff84f8df0d0c42b9bc1e024e71a1ee6f">sendWishlistRequestResult</a>(std::vector&lt;Book&gt; books);</div><div class="line"><a name="l00197"></a><span class="lineno">  197</span>&#160;</div><div class="line"><a name="l00202"></a><span class="lineno">  202</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_gui.html#afac627acf83e5b63b1d7f7e6b5cf1984">sendLoansRequestResult</a>(std::vector&lt;Book&gt; books);</div><div class="line"><a name="l00203"></a><span class="lineno">  203</span>&#160;</div><div class="line"><a name="l00208"></a><span class="lineno">  208</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_gui.html#ae1c8a08d2c0b78461904928f798f4761">sendAddBookToWishlistRequestResult</a>(<span class="keywordtype">bool</span> ok);</div><div class="line"><a name="l00209"></a><span class="lineno">  209</span>&#160;</div><div class="line"><a name="l00214"></a><span class="lineno">  214</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_gui.html#ae117363124625be4898f727f29f56c49">sendRemoveBookFromWishlistRequestResult</a>(<span class="keywordtype">bool</span> ok);</div><div class="line"><a name="l00215"></a><span class="lineno">  215</span>&#160;</div><div class="line"><a name="l00220"></a><span class="lineno">  220</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_gui.html#a4891fd5c9698fa3f350ce69b9e66ce74">sendReserveBookRequestResult</a>(<span class="keywordtype">bool</span> ok);</div><div class="line"><a name="l00221"></a><span class="lineno">  221</span>&#160;</div><div class="line"><a name="l00226"></a><span class="lineno">  226</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_gui.html#a7c8260e2cdc4aea0a44ffe045a7ef311">sendReturnBookRequestResult</a>(<span class="keywordtype">bool</span> ok);</div><div class="line"><a name="l00227"></a><span class="lineno">  227</span>&#160;</div><div class="line"><a name="l00233"></a><span class="lineno">  233</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_gui.html#a747c9f8a97ca1511fdbd3633e01926f4">sendUserRequestResult</a>(<a class="code" href="class_user.html">User</a> user, <span class="keywordtype">bool</span> isAdmin);</div><div class="line"><a name="l00234"></a><span class="lineno">  234</span>&#160;</div><div class="line"><a name="l00239"></a><span class="lineno">  239</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_gui.html#a037e179bbf2eb022c07e73c095731207">sendEditUserRequestResult</a>(<span class="keywordtype">bool</span> ok);</div><div class="line"><a name="l00240"></a><span class="lineno">  240</span>&#160;</div><div class="line"><a name="l00245"></a><span class="lineno">  245</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_gui.html#ae0909537ad53c6ff655c6435df0ed194">sendImportWishlistFromFileRequestResult</a>(<span class="keywordtype">bool</span> ok);</div><div class="line"><a name="l00246"></a><span class="lineno">  246</span>&#160;</div><div class="line"><a name="l00251"></a><span class="lineno">  251</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_gui.html#ac2d9d316dba42155c9f0941b8dc560fd">sendExportWishlistFromFileRequestResult</a>(<span class="keywordtype">bool</span> ok);</div><div class="line"><a name="l00252"></a><span class="lineno">  252</span>&#160;</div><div class="line"><a name="l00253"></a><span class="lineno">  253</span>&#160;    <span class="comment">// admin dialog</span></div><div class="line"><a name="l00254"></a><span class="lineno">  254</span>&#160;    <span class="comment">// books</span></div><div class="line"><a name="l00255"></a><span class="lineno">  255</span>&#160;    <span class="comment">// requests</span></div><div class="line"><a name="l00256"></a><span class="lineno">  256</span>&#160;</div><div class="line"><a name="l00261"></a><span class="lineno">  261</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_gui.html#a9e8074406a8c3fddf74b87b1935aa7e5">sendAddBookToLibraryRequest</a>(<a class="code" href="class_book.html">Book</a> book);</div><div class="line"><a name="l00262"></a><span class="lineno">  262</span>&#160;</div><div class="line"><a name="l00268"></a><span class="lineno">  268</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_gui.html#a7f41675c03732fb9e4677b8515f5ce91">sendEditBookInLibraryRequest</a>(QString oldBookIsbn, <a class="code" href="class_book.html">Book</a> newBook);</div><div class="line"><a name="l00269"></a><span class="lineno">  269</span>&#160;</div><div class="line"><a name="l00274"></a><span class="lineno">  274</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_gui.html#a7d3685695e85cc9d654375f19c9d39cc">sendRemoveBookFromLibraryRequest</a>(<a class="code" href="class_book.html">Book</a> book);</div><div class="line"><a name="l00275"></a><span class="lineno">  275</span>&#160;</div><div class="line"><a name="l00276"></a><span class="lineno">  276</span>&#160;    <span class="comment">// results</span></div><div class="line"><a name="l00277"></a><span class="lineno">  277</span>&#160;</div><div class="line"><a name="l00282"></a><span class="lineno">  282</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_gui.html#a45b83b7b92ce6253834d28c67ea61614">sendAddBookToLibraryRequestResult</a>(<span class="keywordtype">bool</span> ok);</div><div class="line"><a name="l00283"></a><span class="lineno">  283</span>&#160;</div><div class="line"><a name="l00288"></a><span class="lineno">  288</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_gui.html#a520e0265a777cb1b93365e916238fdb1">sendEditBookInLibraryRequestResult</a>(<span class="keywordtype">bool</span> ok);</div><div class="line"><a name="l00289"></a><span class="lineno">  289</span>&#160;</div><div class="line"><a name="l00294"></a><span class="lineno">  294</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_gui.html#a8b8847511823ec0ba3feccf3e6ec9c83">sendRemoveBookFromLibraryRequestResult</a>(<span class="keywordtype">bool</span> ok);</div><div class="line"><a name="l00295"></a><span class="lineno">  295</span>&#160;</div><div class="line"><a name="l00296"></a><span class="lineno">  296</span>&#160;    <span class="comment">// users</span></div><div class="line"><a name="l00297"></a><span class="lineno">  297</span>&#160;    <span class="comment">// requests</span></div><div class="line"><a name="l00298"></a><span class="lineno">  298</span>&#160;</div><div class="line"><a name="l00304"></a><span class="lineno">  304</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_gui.html#a87bc09aef68724043c9b4f24b01db632">sendSearchUserRequest</a>(QString <span class="keywordtype">id</span>, QString name);</div><div class="line"><a name="l00305"></a><span class="lineno">  305</span>&#160;</div><div class="line"><a name="l00311"></a><span class="lineno">  311</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_gui.html#a8d4e78464921dfcfa58e836fd8c1834f">sendAddUserToLibraryRequest</a>(<a class="code" href="class_user.html">User</a> user, <span class="keywordtype">bool</span> makeAdmin);</div><div class="line"><a name="l00312"></a><span class="lineno">  312</span>&#160;</div><div class="line"><a name="l00319"></a><span class="lineno">  319</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_gui.html#a6f5de7d88e997a696d9a8e5e015b63b6">sendEditUserInLibraryRequest</a>(QString oldId, <a class="code" href="class_user.html">User</a> newUser, <span class="keywordtype">bool</span> isAdmin, QString newPassword);</div><div class="line"><a name="l00320"></a><span class="lineno">  320</span>&#160;</div><div class="line"><a name="l00325"></a><span class="lineno">  325</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_gui.html#abb962389eb67b4567a1bc55b2abf76c6">sendRemoveUserFromLibraryRequest</a>(<a class="code" href="class_user.html">User</a> user);</div><div class="line"><a name="l00326"></a><span class="lineno">  326</span>&#160;</div><div class="line"><a name="l00327"></a><span class="lineno">  327</span>&#160;    <span class="comment">// results</span></div><div class="line"><a name="l00328"></a><span class="lineno">  328</span>&#160;</div><div class="line"><a name="l00333"></a><span class="lineno">  333</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_gui.html#a4cd93c2bae41bb09285433b4e2164c59">sendSearchUserRequestResult</a>(std::vector&lt;User&gt; users);</div><div class="line"><a name="l00334"></a><span class="lineno">  334</span>&#160;</div><div class="line"><a name="l00339"></a><span class="lineno">  339</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_gui.html#adf6eb142cba7a3946d64ef3f1b790dcb">sendAddUserToLibraryRequestResult</a>(<span class="keywordtype">bool</span> ok);</div><div class="line"><a name="l00340"></a><span class="lineno">  340</span>&#160;</div><div class="line"><a name="l00345"></a><span class="lineno">  345</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_gui.html#a52270affea5506ff56e96b0c320d012b">sendEditUserInLibraryRequestResult</a>(<span class="keywordtype">bool</span> ok);</div><div class="line"><a name="l00346"></a><span class="lineno">  346</span>&#160;</div><div class="line"><a name="l00351"></a><span class="lineno">  351</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_gui.html#a4ddd94a29c0c4e107771498d72c2c8bf">sendRemoveUserFromLibraryRequestResult</a>(<span class="keywordtype">bool</span> ok);</div><div class="line"><a name="l00352"></a><span class="lineno">  352</span>&#160;</div><div class="line"><a name="l00353"></a><span class="lineno">  353</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00354"></a><span class="lineno">  354</span>&#160;    <span class="keywordtype">bool</span> isCurrentUserAnAdmin;  <span class="comment">// true if current user of app is an admin</span></div><div class="line"><a name="l00355"></a><span class="lineno">  355</span>&#160;    <a class="code" href="class_login_dialog.html">LoginDialog</a> *loginDialog;  <span class="comment">// login dialog</span></div><div class="line"><a name="l00356"></a><span class="lineno">  356</span>&#160;    <a class="code" href="class_user_dialog.html">UserDialog</a> *userDialog;  <span class="comment">// dialog to let users manage library</span></div><div class="line"><a name="l00357"></a><span class="lineno">  357</span>&#160;</div><div class="line"><a name="l00361"></a><span class="lineno">  361</span>&#160;    <span class="keywordtype">void</span> connectSignalsSlots();</div><div class="line"><a name="l00362"></a><span class="lineno">  362</span>&#160;</div><div class="line"><a name="l00366"></a><span class="lineno">  366</span>&#160;    <span class="keywordtype">void</span> openLoginDialog();</div><div class="line"><a name="l00367"></a><span class="lineno">  367</span>&#160;</div><div class="line"><a name="l00371"></a><span class="lineno">  371</span>&#160;    <span class="keywordtype">void</span> openUserDialog();</div><div class="line"><a name="l00372"></a><span class="lineno">  372</span>&#160;};</div><div class="line"><a name="l00373"></a><span class="lineno">  373</span>&#160;</div><div class="line"><a name="l00374"></a><span class="lineno">  374</span>&#160;<span class="preprocessor">#endif // LIBRARYMGR_GUI_H</span></div><div class="ttc" id="class_gui_html_a5fb313e391a25bc4e9798ee9b56d1718"><div class="ttname"><a href="class_gui.html#a5fb313e391a25bc4e9798ee9b56d1718">Gui::sendSignInRequest</a></div><div class="ttdeci">void sendSignInRequest(QString username, QString password)</div></div>
<div class="ttc" id="class_gui_html_a8af4fb92ae4ee963a09d8f6fe56dbd26"><div class="ttname"><a href="class_gui.html#a8af4fb92ae4ee963a09d8f6fe56dbd26">Gui::sendDetailsAboutBookRequestResult</a></div><div class="ttdeci">void sendDetailsAboutBookRequestResult(Book book, bool isReservedByUser, bool isInUserWishlist)</div></div>
<div class="ttc" id="class_gui_html_ab254231f189c6a872dc24250dbbd6c65"><div class="ttname"><a href="class_gui.html#ab254231f189c6a872dc24250dbbd6c65">Gui::sendSearchBookRequestResult</a></div><div class="ttdeci">void sendSearchBookRequestResult(std::vector&lt; Book &gt; books)</div></div>
<div class="ttc" id="class_book_html"><div class="ttname"><a href="class_book.html">Book</a></div><div class="ttdoc">Library book with author, ISBN and status. </div><div class="ttdef"><b>Definition:</b> Book.h:28</div></div>
<div class="ttc" id="class_login_dialog_html"><div class="ttname"><a href="class_login_dialog.html">LoginDialog</a></div><div class="ttdef"><b>Definition:</b> LoginDialog.h:37</div></div>
<div class="ttc" id="class_gui_html_ab140d1a5aae021f01032a516bb2e94fc"><div class="ttname"><a href="class_gui.html#ab140d1a5aae021f01032a516bb2e94fc">Gui::sendLoansRequest</a></div><div class="ttdeci">void sendLoansRequest()</div></div>
<div class="ttc" id="class_gui_html_a741d7be4ff8d9532683209853fb46e37"><div class="ttname"><a href="class_gui.html#a741d7be4ff8d9532683209853fb46e37">Gui::sendRemoveBookFromWishlistRequest</a></div><div class="ttdeci">void sendRemoveBookFromWishlistRequest(Book book)</div></div>
<div class="ttc" id="class_gui_html_a72dfa49e20658233f69bd6c52dedab9d"><div class="ttname"><a href="class_gui.html#a72dfa49e20658233f69bd6c52dedab9d">Gui::sendUserRequest</a></div><div class="ttdeci">void sendUserRequest(QString username)</div></div>
<div class="ttc" id="class_gui_html_a4891fd5c9698fa3f350ce69b9e66ce74"><div class="ttname"><a href="class_gui.html#a4891fd5c9698fa3f350ce69b9e66ce74">Gui::sendReserveBookRequestResult</a></div><div class="ttdeci">void sendReserveBookRequestResult(bool ok)</div></div>
<div class="ttc" id="class_gui_html_a343ff061fde597753a3296ea5ae31a3b"><div class="ttname"><a href="class_gui.html#a343ff061fde597753a3296ea5ae31a3b">Gui::sendCurrentUserRequest</a></div><div class="ttdeci">void sendCurrentUserRequest()</div></div>
<div class="ttc" id="class_gui_html_a734889d391e6e11bf4d271a196ba572c"><div class="ttname"><a href="class_gui.html#a734889d391e6e11bf4d271a196ba572c">Gui::sendImportWishlistFromFileRequest</a></div><div class="ttdeci">void sendImportWishlistFromFileRequest(QString pathToFileToImport)</div></div>
<div class="ttc" id="class_gui_html_a7d3685695e85cc9d654375f19c9d39cc"><div class="ttname"><a href="class_gui.html#a7d3685695e85cc9d654375f19c9d39cc">Gui::sendRemoveBookFromLibraryRequest</a></div><div class="ttdeci">void sendRemoveBookFromLibraryRequest(Book book)</div></div>
<div class="ttc" id="class_gui_html_a87bc09aef68724043c9b4f24b01db632"><div class="ttname"><a href="class_gui.html#a87bc09aef68724043c9b4f24b01db632">Gui::sendSearchUserRequest</a></div><div class="ttdeci">void sendSearchUserRequest(QString id, QString name)</div></div>
<div class="ttc" id="class_user_html"><div class="ttname"><a href="class_user.html">User</a></div><div class="ttdef"><b>Definition:</b> User.h:31</div></div>
<div class="ttc" id="class_gui_html_afac627acf83e5b63b1d7f7e6b5cf1984"><div class="ttname"><a href="class_gui.html#afac627acf83e5b63b1d7f7e6b5cf1984">Gui::sendLoansRequestResult</a></div><div class="ttdeci">void sendLoansRequestResult(std::vector&lt; Book &gt; books)</div></div>
<div class="ttc" id="class_gui_html_a9e8074406a8c3fddf74b87b1935aa7e5"><div class="ttname"><a href="class_gui.html#a9e8074406a8c3fddf74b87b1935aa7e5">Gui::sendAddBookToLibraryRequest</a></div><div class="ttdeci">void sendAddBookToLibraryRequest(Book book)</div></div>
<div class="ttc" id="class_gui_html_a4fd8485d226f9b8a2ac2d81d7f0f3598"><div class="ttname"><a href="class_gui.html#a4fd8485d226f9b8a2ac2d81d7f0f3598">Gui::~Gui</a></div><div class="ttdeci">~Gui()</div><div class="ttdef"><b>Definition:</b> Gui.cpp:27</div></div>
<div class="ttc" id="class_gui_html_a747c9f8a97ca1511fdbd3633e01926f4"><div class="ttname"><a href="class_gui.html#a747c9f8a97ca1511fdbd3633e01926f4">Gui::sendUserRequestResult</a></div><div class="ttdeci">void sendUserRequestResult(User user, bool isAdmin)</div></div>
<div class="ttc" id="class_gui_html_a4ddd94a29c0c4e107771498d72c2c8bf"><div class="ttname"><a href="class_gui.html#a4ddd94a29c0c4e107771498d72c2c8bf">Gui::sendRemoveUserFromLibraryRequestResult</a></div><div class="ttdeci">void sendRemoveUserFromLibraryRequestResult(bool ok)</div></div>
<div class="ttc" id="class_gui_html_ab7f4632d5033a2250398bed08a4af158"><div class="ttname"><a href="class_gui.html#ab7f4632d5033a2250398bed08a4af158">Gui::getCurrentUserAdminStatus</a></div><div class="ttdeci">void getCurrentUserAdminStatus(bool isCurrentUserAnAdmin)</div><div class="ttdef"><b>Definition:</b> Gui.cpp:37</div></div>
<div class="ttc" id="class_gui_html_ac6f69a62bc303884e36d0be38a5f85b9"><div class="ttname"><a href="class_gui.html#ac6f69a62bc303884e36d0be38a5f85b9">Gui::sendReturnBookRequest</a></div><div class="ttdeci">void sendReturnBookRequest(Book book)</div></div>
<div class="ttc" id="class_gui_html_ab2655dbb6d3a91d7e90cb83dad6c0450"><div class="ttname"><a href="class_gui.html#ab2655dbb6d3a91d7e90cb83dad6c0450">Gui::Gui</a></div><div class="ttdeci">Gui()</div><div class="ttdef"><b>Definition:</b> Gui.cpp:20</div></div>
<div class="ttc" id="class_gui_html_ae0909537ad53c6ff655c6435df0ed194"><div class="ttname"><a href="class_gui.html#ae0909537ad53c6ff655c6435df0ed194">Gui::sendImportWishlistFromFileRequestResult</a></div><div class="ttdeci">void sendImportWishlistFromFileRequestResult(bool ok)</div></div>
<div class="ttc" id="class_gui_html_aff84f8df0d0c42b9bc1e024e71a1ee6f"><div class="ttname"><a href="class_gui.html#aff84f8df0d0c42b9bc1e024e71a1ee6f">Gui::sendWishlistRequestResult</a></div><div class="ttdeci">void sendWishlistRequestResult(std::vector&lt; Book &gt; books)</div></div>
<div class="ttc" id="class_gui_html"><div class="ttname"><a href="class_gui.html">Gui</a></div><div class="ttdoc">Manages UI for the app. </div><div class="ttdef"><b>Definition:</b> Gui.h:31</div></div>
<div class="ttc" id="class_gui_html_ae1c8a08d2c0b78461904928f798f4761"><div class="ttname"><a href="class_gui.html#ae1c8a08d2c0b78461904928f798f4761">Gui::sendAddBookToWishlistRequestResult</a></div><div class="ttdeci">void sendAddBookToWishlistRequestResult(bool ok)</div></div>
<div class="ttc" id="class_gui_html_a6bdbe03a8e1f862b09037dc24ebf506c"><div class="ttname"><a href="class_gui.html#a6bdbe03a8e1f862b09037dc24ebf506c">Gui::sendExportWishlistFromFileRequest</a></div><div class="ttdeci">void sendExportWishlistFromFileRequest(QString pathToFileToExport)</div></div>
<div class="ttc" id="class_gui_html_ae18107b33f585c3025c25f16bc2d5d67"><div class="ttname"><a href="class_gui.html#ae18107b33f585c3025c25f16bc2d5d67">Gui::getSignInProcessIsComplete</a></div><div class="ttdeci">void getSignInProcessIsComplete()</div><div class="ttdef"><b>Definition:</b> Gui.cpp:41</div></div>
<div class="ttc" id="class_gui_html_a6f5de7d88e997a696d9a8e5e015b63b6"><div class="ttname"><a href="class_gui.html#a6f5de7d88e997a696d9a8e5e015b63b6">Gui::sendEditUserInLibraryRequest</a></div><div class="ttdeci">void sendEditUserInLibraryRequest(QString oldId, User newUser, bool isAdmin, QString newPassword)</div></div>
<div class="ttc" id="class_gui_html_ac2d9d316dba42155c9f0941b8dc560fd"><div class="ttname"><a href="class_gui.html#ac2d9d316dba42155c9f0941b8dc560fd">Gui::sendExportWishlistFromFileRequestResult</a></div><div class="ttdeci">void sendExportWishlistFromFileRequestResult(bool ok)</div></div>
<div class="ttc" id="class_gui_html_ace1c44fdff26b57dc365e51bf0bbe011"><div class="ttname"><a href="class_gui.html#ace1c44fdff26b57dc365e51bf0bbe011">Gui::sendSignInRequestResult</a></div><div class="ttdeci">void sendSignInRequestResult(bool signInOk)</div></div>
<div class="ttc" id="class_gui_html_a7c8260e2cdc4aea0a44ffe045a7ef311"><div class="ttname"><a href="class_gui.html#a7c8260e2cdc4aea0a44ffe045a7ef311">Gui::sendReturnBookRequestResult</a></div><div class="ttdeci">void sendReturnBookRequestResult(bool ok)</div></div>
<div class="ttc" id="class_gui_html_ae117363124625be4898f727f29f56c49"><div class="ttname"><a href="class_gui.html#ae117363124625be4898f727f29f56c49">Gui::sendRemoveBookFromWishlistRequestResult</a></div><div class="ttdeci">void sendRemoveBookFromWishlistRequestResult(bool ok)</div></div>
<div class="ttc" id="class_gui_html_a55c7f71e765c57c27b2cab34aafba99a"><div class="ttname"><a href="class_gui.html#a55c7f71e765c57c27b2cab34aafba99a">Gui::sendAddBookToWishlistRequest</a></div><div class="ttdeci">void sendAddBookToWishlistRequest(Book book)</div></div>
<div class="ttc" id="class_gui_html_af4038252aa6f60569f70f5264f93be1d"><div class="ttname"><a href="class_gui.html#af4038252aa6f60569f70f5264f93be1d">Gui::open</a></div><div class="ttdeci">void open()</div><div class="ttdoc">starts GUI </div><div class="ttdef"><b>Definition:</b> Gui.cpp:29</div></div>
<div class="ttc" id="class_gui_html_a52270affea5506ff56e96b0c320d012b"><div class="ttname"><a href="class_gui.html#a52270affea5506ff56e96b0c320d012b">Gui::sendEditUserInLibraryRequestResult</a></div><div class="ttdeci">void sendEditUserInLibraryRequestResult(bool ok)</div></div>
<div class="ttc" id="class_gui_html_a8eafc6845da61bfddf908299bf310d49"><div class="ttname"><a href="class_gui.html#a8eafc6845da61bfddf908299bf310d49">Gui::sendWishlistRequest</a></div><div class="ttdeci">void sendWishlistRequest()</div></div>
<div class="ttc" id="class_gui_html_a7f41675c03732fb9e4677b8515f5ce91"><div class="ttname"><a href="class_gui.html#a7f41675c03732fb9e4677b8515f5ce91">Gui::sendEditBookInLibraryRequest</a></div><div class="ttdeci">void sendEditBookInLibraryRequest(QString oldBookIsbn, Book newBook)</div></div>
<div class="ttc" id="class_gui_html_adf6eb142cba7a3946d64ef3f1b790dcb"><div class="ttname"><a href="class_gui.html#adf6eb142cba7a3946d64ef3f1b790dcb">Gui::sendAddUserToLibraryRequestResult</a></div><div class="ttdeci">void sendAddUserToLibraryRequestResult(bool ok)</div></div>
<div class="ttc" id="class_gui_html_a96e318612a7551ba9222b712b78ac947"><div class="ttname"><a href="class_gui.html#a96e318612a7551ba9222b712b78ac947">Gui::sendEditUserRequest</a></div><div class="ttdeci">void sendEditUserRequest(User user, bool isAdmin, QString password)</div></div>
<div class="ttc" id="class_gui_html_a2ffa089e57ee1571da42db95c3ba3de6"><div class="ttname"><a href="class_gui.html#a2ffa089e57ee1571da42db95c3ba3de6">Gui::sendReserveBookRequest</a></div><div class="ttdeci">void sendReserveBookRequest(Book book)</div></div>
<div class="ttc" id="class_gui_html_a520e0265a777cb1b93365e916238fdb1"><div class="ttname"><a href="class_gui.html#a520e0265a777cb1b93365e916238fdb1">Gui::sendEditBookInLibraryRequestResult</a></div><div class="ttdeci">void sendEditBookInLibraryRequestResult(bool ok)</div></div>
<div class="ttc" id="class_gui_html_a8b8847511823ec0ba3feccf3e6ec9c83"><div class="ttname"><a href="class_gui.html#a8b8847511823ec0ba3feccf3e6ec9c83">Gui::sendRemoveBookFromLibraryRequestResult</a></div><div class="ttdeci">void sendRemoveBookFromLibraryRequestResult(bool ok)</div></div>
<div class="ttc" id="class_user_dialog_html"><div class="ttname"><a href="class_user_dialog.html">UserDialog</a></div><div class="ttdef"><b>Definition:</b> UserDialog.h:32</div></div>
<div class="ttc" id="class_gui_html_a59d88601c127c3d1de862f8f34c95528"><div class="ttname"><a href="class_gui.html#a59d88601c127c3d1de862f8f34c95528">Gui::sendSignUpRequest</a></div><div class="ttdeci">void sendSignUpRequest(User user, QString password)</div></div>
<div class="ttc" id="class_gui_html_abb962389eb67b4567a1bc55b2abf76c6"><div class="ttname"><a href="class_gui.html#abb962389eb67b4567a1bc55b2abf76c6">Gui::sendRemoveUserFromLibraryRequest</a></div><div class="ttdeci">void sendRemoveUserFromLibraryRequest(User user)</div></div>
<div class="ttc" id="class_gui_html_a037e179bbf2eb022c07e73c095731207"><div class="ttname"><a href="class_gui.html#a037e179bbf2eb022c07e73c095731207">Gui::sendEditUserRequestResult</a></div><div class="ttdeci">void sendEditUserRequestResult(bool ok)</div></div>
<div class="ttc" id="class_gui_html_a45b83b7b92ce6253834d28c67ea61614"><div class="ttname"><a href="class_gui.html#a45b83b7b92ce6253834d28c67ea61614">Gui::sendAddBookToLibraryRequestResult</a></div><div class="ttdeci">void sendAddBookToLibraryRequestResult(bool ok)</div></div>
<div class="ttc" id="class_gui_html_acf39ba69c97ed11586b9e8a4e8a44d50"><div class="ttname"><a href="class_gui.html#acf39ba69c97ed11586b9e8a4e8a44d50">Gui::sendDetailsAboutBookRequest</a></div><div class="ttdeci">void sendDetailsAboutBookRequest(QString isbn)</div></div>
<div class="ttc" id="class_gui_html_adc811573f8605cce30f325d2e9d11db2"><div class="ttname"><a href="class_gui.html#adc811573f8605cce30f325d2e9d11db2">Gui::sendSignUpRequestResult</a></div><div class="ttdeci">void sendSignUpRequestResult(bool signUpOk)</div></div>
<div class="ttc" id="class_gui_html_ab8de6758ae82e6f6f8aae66d4811c857"><div class="ttname"><a href="class_gui.html#ab8de6758ae82e6f6f8aae66d4811c857">Gui::sendSearchBookRequest</a></div><div class="ttdeci">void sendSearchBookRequest(QString id, QString title)</div></div>
<div class="ttc" id="class_gui_html_a8d4e78464921dfcfa58e836fd8c1834f"><div class="ttname"><a href="class_gui.html#a8d4e78464921dfcfa58e836fd8c1834f">Gui::sendAddUserToLibraryRequest</a></div><div class="ttdeci">void sendAddUserToLibraryRequest(User user, bool makeAdmin)</div></div>
<div class="ttc" id="class_gui_html_a4cd93c2bae41bb09285433b4e2164c59"><div class="ttname"><a href="class_gui.html#a4cd93c2bae41bb09285433b4e2164c59">Gui::sendSearchUserRequestResult</a></div><div class="ttdeci">void sendSearchUserRequestResult(std::vector&lt; User &gt; users)</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_11bc0974ce736ce9a6fadebbeb7a8314.html">gui</a></li><li class="navelem"><a class="el" href="dir_79bdda8acd569632ada2e057f706fd29.html">Gui</a></li><li class="navelem"><b>Gui.h</b></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
